## org.apache.commons.configuration
Interface ConfigurationBuilder

All Known Implementing Classes:
  DefaultConfigurationBuilder

    public interface ConfigurationBuilder

Definition of an interface for objects that can create a configuration.

This interface defines an abstract way of creating a `Configuration` object. It does not assume any specific way of how this is done; this is completely in the responsibility of an implementation class. There is just a single method that returns the configuration constructed by this builder.

Version:
  $Id: ConfigurationBuilder.java 439648 2006-09-02 20:42:10Z oheger $
Author:
  Commons Configuration team

Method Summary
`Configuration` `getConfiguration()` Returns the configuration provided by this builder.

Method Detail

### getConfiguration

    Configuration getConfiguration()
                                   throws ConfigurationException

  Returns the configuration provided by this builder. An implementation has to perform all necessary steps for creating and initializing a `Configuration` object.

  Returns:
    the configuration
  Throws:
    `ConfigurationException` - if an error occurs

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.